/**
 * Design Elements - additional CSS for the Simple template
 *
 * @author:     Michael Klier <chi@chimeric.de>
 * @homepage:   http://www.chimeric.de
 */

body {
  background: __white__ url(images/dwbg.jpg) repeat-x;
  padding: 1em;
  font-family: Tahoma, sans-serif;
  font-size: __font_size__;
}

* html body {
  behavior: url("csshover3.htc"); /* fix csshover behavior for IE6 */
}

div.dokuwiki {
  line-height: 160%;
  width: __wiki_width__;
  margin-left: auto;
  margin-right: auto;
}

div.dokuwiki div#outer_container {
  background: __outer_background__;
  padding: 0.6em;
}

div.dokuwiki div#inner_container {
  background: __inner_background__;
  margin: 0;
  padding-left: 8px;
}

div.dokuwiki div.page {
  padding: 1em;
  margin: 0 8px 1em 0;
  width: 96% !important;
  width: 95%;
  background-color: __page_background__;
}

/* ---------- Top Navigation ----------- */
div.dokuwiki div#tpl_simple_navi {
  margin-left: auto;
  height: 1.8em;
}

*+ html div.dokuwiki div#tpl_simple_navi {
  height: 2.2em;
}

div.dokuwiki div#tpl_simple_navi ul {
  list-style: none;
  float: left;
  margin: 0;
  padding: 0;
}

div.dokuwiki div#tpl_simple_navi ul li {
  float: left;
  margin: 0;
  margin-right: 0.5em;
  width: __navi_link_width__;
  background-color: __navi_background__;
}

div.dokuwiki div#tpl_simple_navi a {
  display: block;
  text-decoration: none;
  border-bottom: none;
  padding: 0.4em;
  padding-left: 0.8em;
}

div.dokuwiki div#tpl_simple_navi a.wikilink2 {
  border-bottom: none !important;
}

div.dokuwiki div#tpl_simple_navi a.urlextern,
div.dokuwiki div#tpl_simple_navi a.interwiki {
  padding: 0;
  padding: 0.4em;
  padding-left: 0.8em;
  background-image: none;
}

div.dokuwiki div#tpl_simple_navi a:hover {
  background-color: __background_alt__;
}

div.dokuwiki div#tpl_simple_navi li {
  margin: 0;
  padding: 0;
  position: relative;
}

div.dokuwiki div#tpl_simple_navi ul ul {
  border: none;
  position: absolute;
  z-index: 500;
}

div.dokuwiki div#tpl_simple_navi ul ul ul {
  top: 0;
  left: 100%;
  border-left: 5px solid __border__;
  margin-top: 5px;
}

div.dokuwiki div#tpl_simple_navi ul ul,
div.dokuwiki div#tpl_simple_navi ul li:hover ul ul,
div.dokuwiki div#tpl_simple_navi ul ul li:hover ul ul {
  display: none;
}

div.dokuwiki div#tpl_simple_navi ul li:hover ul,
div.dokuwiki div#tpl_simple_navi ul ul li:hover ul,
div.dokuwiki div#tpl_simple_navi ul ul ul li:hover ul {
  display: block;
}

div.dokuwiki .navi_clearer {
  clear: both;
  margin-bottom: 1.8em;
}

/* the searchform */
div.dokuwiki #dw__search {
  float: right;
  margin-top: 0.2em;
  margin-right: 0.4em;
}

div.dokuwiki #dw__search input.button {
  display: none;
}

div.dokuwiki div.ajax_qsearch {
  top: 4em;
  right: 140px;
  z-index: 99;
}

/* general headline setup */
div.dokuwiki h1,
div.dokuwiki h2,
div.dokuwiki h3,
div.dokuwiki h4,
div.dokuwiki h5 {
  border: none;
  font-weight: normal;
}

div.dokuwiki h1 a,
div.dokuwiki h2 a,
div.dokuwiki h3 a,
div.dokuwiki h4 a,
div.dokuwiki h5 a,
div.dokuwiki a.nolink {
  color: __headline_color__ !important;
}

/* special headlines */
div.dokuwiki h1 {font-size: 180%; margin-left: 0px; border-bottom: 1px solid __border__;}
div.dokuwiki h2 {font-size: 160%; margin-left: 10px;}
div.dokuwiki h3 {font-size: 150%; margin-left: 20px;}
div.dokuwiki h4 {font-size: 140%; margin-left: 35px;}
div.dokuwiki h5 {font-size: 130%; margin-left: 50px;}

/* indent different sections */
div.dokuwiki div.level1 {margin-left: 3px;}
div.dokuwiki div.level2 {margin-left: 13px;}
div.dokuwiki div.level3 {margin-left: 23px;}
div.dokuwiki div.level4 {margin-left: 38px;}
div.dokuwiki div.level5 {margin-left: 53px;}

div.dokuwiki table.inline th {
  background-color: __background_alt__;
  color: __text_alt__;
}

/* ---------- links ---------- */
div.dokuwiki a:hover {
  color: __extern__;
}

div.dokuwiki .bar a.action {
  margin-left: 0.3em;
  margin-right: 0.3em;
}

/* external link */
div.dokuwiki a.urlextern {
  background: transparent url(images/urlextern.png) 0px 1px no-repeat;
}

/* ---------- table of contents ---------- */
div.dokuwiki div.toc {
  margin-left: 1em;
  margin-top: 1.1em;
}

div.dokuwiki div.tocheader {
  background-color: __background_neu__;
  font-weight: normal;
  padding-top: 0.3em;
  padding-left: 0.3em;
  color: __text_alt__;
  line-height: 100%;
}

div.dokuwiki div.tocheader img {
  margin-top: 0.1em;
}

div.dokuwiki #toc__inside {
  background-color: __page_background__;
}

div.dokuwiki #toc__inside ul {
  margin: 0em;
  padding-left: 0.8em;
}

div.dokuwiki div.breadcrumbs {
  background: __inner_background__;
  color: __white__;
  padding-left: 0.5em;
}

div.dokuwiki pre {
  font-size: 120% !important;
  font-size: 100%;
}


/* ---------- footnotes ---------- */
div.dokuwiki div.footnotes {
  margin-top: 3em;
}

div.dokuwiki div.fn {
  font-size: 80%;
}

/* ---------- Additional ---------- */
div.dokuwiki div.footerinc {
  padding: 0.5em;
  padding-top: 1em;
  text-align: center;
  background-color: __inner_background__;
}

/* ---------- Nifty Corners ---------- */
div.dokuwiki .rtop_outer, 
div.dokuwiki .rbottom_outer, 
div.dokuwiki .rtop_inner,
div.dokuwiki .rbottom_inner {
  display: block;
}

div.dokuwiki .rtop_outer *,
div.dokuwiki .rbottom_outer *,
div.dokuwiki .rtop_inner *,
div.dokuwiki .rbottom_inner * {
  display: block; 
  height: 1px;
  overflow: hidden;
}

div.dokuwiki .r1{margin: 0 5px;}
div.dokuwiki .r2{margin: 0 3px;}
div.dokuwiki .r3{margin: 0 2px;}
div.dokuwiki .r4{margin: 0 1px; height: 2px;}

div.dokuwiki .rtop_inner .r1,
div.dokuwiki .rtop_inner .r2,
div.dokuwiki .rtop_inner .r3,
div.dokuwiki .rtop_inner .r4 {
  background: __inner_background__;
}

div.dokuwiki .rbottom_inner .r1,
div.dokuwiki .rbottom_inner .r2,
div.dokuwiki .rbottom_inner .r3,
div.dokuwiki .rbottom_inner .r4 {
  background: __inner_background__;
}

div.dokuwiki .rtop_outer .r1,
div.dokuwiki .rtop_outer .r2,
div.dokuwiki .rtop_outer .r3,
div.dokuwiki .rtop_outer .r4 {
  background: __outer_background__;
}

div.dokuwiki .rbottom_outer .r1,
div.dokuwiki .rbottom_outer .r2,
div.dokuwiki .rbottom_outer .r3,
div.dokuwiki .rbottom_outer .r4 {
  background: __outer_background__;
}

/* ---------- Actionlinks ---------- */
div.dokuwiki a.login {
  background: transparent url(images/tool-login.png) 0px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.logout {
  background: transparent url(images/tool-logout.png) 0px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.index {
  background: transparent url(images/tool-index.png) 1px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.recent {
  background: transparent url(images/tool-recent.png) 0px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.create,
div.dokuwiki a.edit,
div.dokuwiki a.npd {
  background: transparent url(images/tool-edit.png) 0px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.source,
div.dokuwiki a.show {
  background: transparent url(images/tool-source.png) 0px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.admin {
  background: transparent url(images/tool-admin.png) 0px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.revisions {
  background: transparent url(images/tool-revisions.png) 0px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.subscribe,
div.dokuwiki a.unsubscribe {
  background: transparent url(images/tool-subscribe.png) 0px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.backlink {
  background: transparent url(images/tool-backlink.png) 0px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.profile {
  background: transparent url(images/tool-profile.png) 0px 1px no-repeat;
  padding: 1px 0px 1px 18px;
}

div.dokuwiki a.top {
  background: transparent url(images/tool-top.png) right 2px no-repeat;
  padding: 1px 20px 1px 0px;
  float: right;
  margin-top: 1em;
  margin-bottom: 1em;
}

div.dokuwiki input#edit__summary {
  width: 300px;
}
